package com.pcloud.book.riddle.dto;

import com.pcloud.common.dto.BaseDto;

/**
 * @描述：编辑端猜谜语详情
 * @作者：zhuyajie
 * @创建时间：20:48 2019/7/31
 * @版本：1.0
 */
public class GroupRiddleDTO extends BaseDto{

    /**
     * 微信群名称
     */
    private String groupName;
    /**
     * 群二维码id
     */
    private Long groupQrcodeId;
    /**
     * 微信群id
     */
    private String wxGroupId;
    /**
     * 群分类
     */
    private String classify;
    /**
     *社群码名称
     */
    private String groupQrcodeName;
    /**
     * 图书名
     */
    private String bookName;
    /**
     * 专业标签ID
     */
    private Long proLabelId;

    /**
     * 专业标签名称
     */
    private String proLabelName;

    /**
     *  深度标签ID
     */
    private Long depLabelId;

    /**
     * 深度标签名称
     */
    private String depLabelName;

    /**
     * 目的标签ID
     */
    private Long purLabelId;

    /**
     * 目的标签名称
     */
    private String purLabelName;
    /**
     * 关卡等级
     */
    private Integer grade;
    /**
     * 猜中题数
     */
    private Integer correctCount;
    /**
     * 参与人数
     */
    private Integer userNum;
    /**
     * 参与次数
     */
    private Integer participateCount;
    /**
     * 开启状态
     */
    private Boolean riddleOpen;

    /**
     * 通关次数
     */
    private Integer finishCount;

    /**
     * 领券人数
     */
    private Integer couponUserCount;

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public Long getGroupQrcodeId() {
        return groupQrcodeId;
    }

    public void setGroupQrcodeId(Long groupQrcodeId) {
        this.groupQrcodeId = groupQrcodeId;
    }

    public String getWxGroupId() {
        return wxGroupId;
    }

    public void setWxGroupId(String wxGroupId) {
        this.wxGroupId = wxGroupId;
    }

    public String getClassify() {
        return classify;
    }

    public void setClassify(String classify) {
        this.classify = classify;
    }

    public String getGroupQrcodeName() {
        return groupQrcodeName;
    }

    public void setGroupQrcodeName(String groupQrcodeName) {
        this.groupQrcodeName = groupQrcodeName;
    }

    public String getBookName() {
        return bookName;
    }

    public void setBookName(String bookName) {
        this.bookName = bookName;
    }

    public Long getProLabelId() {
        return proLabelId;
    }

    public void setProLabelId(Long proLabelId) {
        this.proLabelId = proLabelId;
    }

    public String getProLabelName() {
        return proLabelName;
    }

    public void setProLabelName(String proLabelName) {
        this.proLabelName = proLabelName;
    }

    public Long getDepLabelId() {
        return depLabelId;
    }

    public void setDepLabelId(Long depLabelId) {
        this.depLabelId = depLabelId;
    }

    public String getDepLabelName() {
        return depLabelName;
    }

    public void setDepLabelName(String depLabelName) {
        this.depLabelName = depLabelName;
    }

    public Long getPurLabelId() {
        return purLabelId;
    }

    public void setPurLabelId(Long purLabelId) {
        this.purLabelId = purLabelId;
    }

    public String getPurLabelName() {
        return purLabelName;
    }

    public void setPurLabelName(String purLabelName) {
        this.purLabelName = purLabelName;
    }

    public Integer getGrade() {
        return grade;
    }

    public void setGrade(Integer grade) {
        this.grade = grade;
    }

    public Integer getCorrectCount() {
        return correctCount;
    }

    public void setCorrectCount(Integer correctCount) {
        this.correctCount = correctCount;
    }

    public Integer getUserNum() {
        return userNum;
    }

    public void setUserNum(Integer userNum) {
        this.userNum = userNum;
    }

    public Integer getParticipateCount() {
        return participateCount;
    }

    public void setParticipateCount(Integer participateCount) {
        this.participateCount = participateCount;
    }

    public Boolean getRiddleOpen() {
        return riddleOpen;
    }

    public void setRiddleOpen(Boolean riddleOpen) {
        this.riddleOpen = riddleOpen;
    }

    public Integer getFinishCount() {
        return finishCount;
    }

    public void setFinishCount(Integer finishCount) {
        this.finishCount = finishCount;
    }

    public Integer getCouponUserCount() {
        return couponUserCount;
    }

    public void setCouponUserCount(Integer couponUserCount) {
        this.couponUserCount = couponUserCount;
    }

    @Override
    public String toString() {
        return "GroupRiddleDTO{" +
                "groupName='" + groupName + '\'' +
                ", groupQrcodeId=" + groupQrcodeId +
                ", wxGroupId='" + wxGroupId + '\'' +
                ", classify='" + classify + '\'' +
                ", groupQrcodeName='" + groupQrcodeName + '\'' +
                ", bookName='" + bookName + '\'' +
                ", proLabelId=" + proLabelId +
                ", proLabelName='" + proLabelName + '\'' +
                ", depLabelId=" + depLabelId +
                ", depLabelName='" + depLabelName + '\'' +
                ", purLabelId=" + purLabelId +
                ", purLabelName='" + purLabelName + '\'' +
                ", grade=" + grade +
                ", correctCount=" + correctCount +
                ", userNum=" + userNum +
                ", participateCount=" + participateCount +
                ", riddleOpen=" + riddleOpen +
                ", finishCount=" + finishCount +
                ", couponUserCount=" + couponUserCount +
                '}';
    }
}
